crab = class("crab")

local crabSheet = love.graphics.newImage("assets/sheets/crabSheet.png")
crabSheet:setFilter("nearest", "nearest")

function crab:initialize(x, y)
	self.x = x
	self.y = y

	self.walkingGrid = anim8.newGrid(15,8, crabSheet:getWidth(), crabSheet:getHeight())

	self.animations = {
		anim8.newAnimation(self.walkingGrid("1-4", 1), 0.2),
		anim8.newAnimation(self.walkingGrid("1-2", 2), 0.2)
	}
	self.currentAnimation = self.animations[1]
end

function crab:update(dt)
	self.currentAnimation:update(dt)
end

function crab:draw()
	self.currentAnimation:draw(crabSheet, self.x, self.y)
end 

return crab