seagull = class("seagull")

local seagullSheet = love.graphics.newImage("assets/sheets/mågeSheet.png")
seagullSheet:setFilter("nearest", "nearest")
local seagullGrid = anim8.newGrid(8, 5, seagullSheet:getWidth(), seagullSheet:getHeight())
function seagull:initialize(x, y)
	self.x = x
	self.y = y
	self.animations = {
		anim8.newAnimation(seagullGrid("1-2", 1), 0.3)
	}

	self.currentAnimation = self.animations[1]
end

function seagull:update(dt)
	self.currentAnimation:update(dt)
	self.x = self.x - 10*dt
end

function seagull:draw()
	self.currentAnimation:draw(seagullSheet, self.x, self.y)
end 