--If something is not working. remember to put "self."" infront of it stupid ;D

player = class("player") 

local playerSheet = love.graphics.newImage("assets/sheets/playerSheet.png")
playerSheet:setFilter("nearest", "nearest")

local animationSpeed = 0.15

local function keyDown(key)
	return love.keyboard.isDown(key)
end

function player:initialize(x, y)
	self.x = x
	self.y = y
	self.width = 15
	self.height = 32

	self.speed = 75

	self.direction = 1 -- 1 up 2 down 3 left 4 right

	self.moving = false 

	self.verticalSheetGrid = anim8.newGrid(14, 30, playerSheet:getWidth(), playerSheet:getHeight())
	self.horizontalSheetGrid = anim8.newGrid(15, 31, playerSheet:getWidth(), playerSheet:getHeight())

	
	self.animations = {
		anim8.newAnimation(self.verticalSheetGrid("1-8", 2), animationSpeed * 0.8), -- up
		anim8.newAnimation(self.verticalSheetGrid("1-8", 1), animationSpeed * 0.8), -- down
		anim8.newAnimation(self.horizontalSheetGrid("1-6", 3), animationSpeed), -- left
		anim8.newAnimation(self.horizontalSheetGrid("1-6", 4), animationSpeed)  -- right
	}

	self.currentAnimation = self.animations[2]

end 

function player:update(dt)
	self:move(dt)
	self:handleAnimations()
	self.currentAnimation:update(dt)

	cam:lookAt(self.x + self.width / 2, self.y + self.height / 2)
end

function player:draw()
	self:drawAnimations()
end


--All the functions below here have no order, things will get messi

function player:move(dt)
	 self.moving = false

	if keyDown("a") then 
		self.x = self.x - self.speed* dt
		self.direction = 3
		self.moving = true
	end
	if keyDown("d") then 
		self.x = self.x + self.speed * dt
		self.direction = 4
		self.moving = true
	end 
	if keyDown("s") then 
		self.y = self.y + self.speed * dt
		self.direction = 2
		self.moving = true
	end
	if keyDown("w") then 
		self.y = self.y - self.speed * dt
		self.direction = 1
		self.moving = true
	end 	
	if keyDown("lshift") then 
		self.speed = 500
	else
		self.speed = 75
	end
end

function player:handleAnimations()
	if self.moving then 
		self.currentAnimation = self.animations[self.direction]
		self.currentAnimation:resume()
	else
		self.currentAnimation:gotoFrame(4)
		self.currentAnimation:pause()
	end 
end 

function player:drawAnimations()
	self.currentAnimation:draw(playerSheet, self.x, self.y)
end

function player.handleCollisions()

end 

return player